Уязвимость в xmlrpc расширении в PHP

Дата публикации:
21.03.2010
Дата изменения:
21.03.2010
Всего просмотров:
1425
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:L/Au:S/C:N/I:N/A:C/E:P/RL:U/RC:C) = Base:6.8/Temporal:6.1
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
CWE ID:
Нет данных
Наличие эксплоита:
PoC код
Уязвимые продукты:
PHP 5.3.x
Уязвимые версии: PHP версии 5.3 и 5.3.1

Описание:
Уязвимость позволяет удаленному пользователю произвести DoS атаку.

Уязвимость существует из-за ошибки разыменования нулевого указателя при обработке XML-RPC запросов в расширении xmlrpc. Удаленный пользователь может с помощью специально сформированного вызвать отказ в обслуживании приложения.

URL производителя: www.php.net

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://lists.debian.org/debian-security-announce/2010/msg00058.html
http://www.openwall.com/lists/oss-security/2010/03/12/5

или введите имя

CAPTCHA